Index: moodle/backup/util/ui/backup_moodleform.class.php
--- moodle/backup/util/ui/backup_moodleform.class.php Base (1.12)
+++ moodle/backup/util/ui/backup_moodleform.class.php Locally Modified (Based On 1.12)
@@ -27,8 +27,6 @@
 
 defined('MOODLE_INTERNAL') || die();
 
-require_once($CFG->libdir . '/formslib.php');
-
 /**
  * Backup moodleform bridge
  *
@@ -39,28 +37,8 @@
  * @copyright 2010 Sam Hemelryk
  * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
  */
-abstract class backup_moodleform extends moodleform {
+abstract class backup_moodleform extends base_moodleform {
     /**
-     * The stage this form belongs to
-     * @var backup_ui_stage
-     */
-    protected $uistage = null;
-    /**
-     * True if we have a course div open, false otherwise
-     * @var bool
-     */
-    protected $coursediv = false;
-    /**
-     * True if we have a section div open, false otherwise
-     * @var bool
-     */
-    protected $sectiondiv = false;
-    /**
-     * True if we have an activity div open, false otherwise
-     * @var bool
-     */
-    protected $activitydiv = false;
-    /**
      * Creates the form
      *
      * @param backup_ui_stage $uistage
@@ -71,192 +49,11 @@
      * @param array $attributes
      * @param bool $editable
      */
-    function __construct(backup_ui_stage $uistage, $action=null, $customdata=null, $method='post', $target='', $attributes=null, $editable=true) {
-        $this->uistage = $uistage;
-        parent::__construct($action, $customdata, $method, $target, $attributes, $editable);
+    public function __construct(backup_ui_stage $uistage, $action = null, $customdata = null, $method = 'post', $target = '', $attributes = null, $editable = true) {
+        parent::__construct($uistage, $action, $customdata, $method, $target, $attributes, $editable);
     }
-    /**
-     * The standard form definition... obviously not much here
-     */
-    function definition() {
-        $mform = $this->_form;
-        $stage = $mform->addElement('hidden', 'stage', $this->uistage->get_stage());
-        $stage = $mform->addElement('hidden', 'backup', $this->uistage->get_backupid());
-        $params = $this->uistage->get_params();
-        if (is_array($params) && count($params) > 0) {
-            foreach ($params as $name=>$value) {
-                $stage = $mform->addElement('hidden', $name, $value);
     }
-        }
-    }
     /**
-     * Definition applied after the data is organised.. why's it here? because I want
-     * to add elements on the fly.
-     */
-    function definition_after_data() {
-        $buttonarray=array();
-        if ($this->uistage->get_stage() > backup_ui::STAGE_INITIAL) {
-            $buttonarray[] = $this->_form->createElement('submit', 'previous', get_string('previousstage','backup'));
-        }
-        $buttonarray[] = $this->_form->createElement('submit', 'submitbutton', get_string('onstage'.$this->uistage->get_stage().'action', 'backup'));
-        $buttonarray[] = $this->_form->createElement('cancel');
-        $this->_form->addGroup($buttonarray, 'buttonar', '', array(' '), false);
-        $this->_form->closeHeaderBefore('buttonar');
-    }
-    /**
-     * Closes any open divs
-     */
-    function close_task_divs() {
-        if ($this->activitydiv) {
-            $this->_form->addElement('html', html_writer::end_tag('div'));
-            $this->activitydiv = false;
-        }
-        if ($this->sectiondiv) {
-            $this->_form->addElement('html', html_writer::end_tag('div'));
-            $this->sectiondiv = false;
-        }
-        if ($this->coursediv) {
-            $this->_form->addElement('html', html_writer::end_tag('div'));
-            $this->coursediv = false;
-        }
-    }
-    /**
-     * Adds the backup_setting as a element to the form
-     * @param backup_setting $setting
-     * @return bool
-     */
-    function add_setting(backup_setting $setting, backup_task $task=null) {
-
-        // If the setting cant be changed then add it as a fixed setting.
-        if (!$setting->get_ui()->is_changeable()) {
-            return $this->add_fixed_setting($setting);
-        }
-
-        // First add the formatting for this setting
-        $this->add_html_formatting($setting);
-        // The call the add method with the get_element_properties array
-        call_user_method_array('addElement', $this->_form, $setting->get_ui()->get_element_properties($task));
-        $this->_form->setDefault($setting->get_ui_name(), $setting->get_value());
-        if ($setting->has_help()) {
-            list($identifier, $component) = $setting->get_help();
-            $this->_form->addHelpButton($setting->get_ui_name(), $identifier, $component);
-        }
-        $this->_form->addElement('html', html_writer::end_tag('div'));
-        return true;
-    }
-    /**
-     * Adds a heading to the form
-     * @param string $name
-     * @param string $text
-     */
-    function add_heading($name , $text) {
-        $this->_form->addElement('header', $name, $text);
-    }
-    /**
-     * Adds HTML formatting for the given backup setting, needed to group/segment
-     * correctly.
-     * @param backup_setting $setting
-     */
-    protected function add_html_formatting(backup_setting $setting) {
-        $mform = $this->_form;
-        $isincludesetting = (strpos($setting->get_name(), '_include')!==false);
-        if ($isincludesetting && $setting->get_level() != backup_setting::ROOT_LEVEL)  {
-            switch ($setting->get_level()) {
-                case backup_setting::COURSE_LEVEL:
-                    if ($this->activitydiv) {
-                        $this->_form->addElement('html', html_writer::end_tag('div'));
-                        $this->activitydiv = false;
-                    }
-                    if ($this->sectiondiv) {
-                        $this->_form->addElement('html', html_writer::end_tag('div'));
-                        $this->sectiondiv = false;
-                    }
-                    if ($this->coursediv) {
-                        $this->_form->addElement('html', html_writer::end_tag('div'));
-                    }
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'grouped_settings course_level')));
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'include_setting course_level')));
-                    $this->coursediv = true;
-                    break;
-                case backup_setting::SECTION_LEVEL:
-                    if ($this->activitydiv) {
-                        $this->_form->addElement('html', html_writer::end_tag('div'));
-                        $this->activitydiv = false;
-                    }
-                    if ($this->sectiondiv) {
-                        $this->_form->addElement('html', html_writer::end_tag('div'));
-                    }
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'grouped_settings section_level')));
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'include_setting section_level')));
-                    $this->sectiondiv = true;
-                    break;
-                case backup_setting::ACTIVITY_LEVEL:
-                    if ($this->activitydiv) {
-                        $this->_form->addElement('html', html_writer::end_tag('div'));
-                    }
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'grouped_settings activity_level')));
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'include_setting activity_level')));
-                    $this->activitydiv = true;
-                    break;
-                default:
-                    $mform->addElement('html', html_writer::start_tag('div', array('class'=>'normal_setting')));
-                    break;
-            }
-        } else if ($setting->get_level() == backup_setting::ROOT_LEVEL) {
-            $mform->addElement('html', html_writer::start_tag('div', array('class'=>'root_setting')));
-        } else {
-            $mform->addElement('html', html_writer::start_tag('div', array('class'=>'normal_setting')));
-        }
-    }
-    /**
-     * Adds a fixed or static setting to the form
-     * @param backup_setting $setting
-     */
-    function add_fixed_setting(backup_setting $setting) {
-        global $OUTPUT;
-        $settingui = $setting->get_ui();
-        if ($setting->get_visibility() == backup_setting::VISIBLE) {
-            $this->add_html_formatting($setting);
-            switch ($setting->get_status()) {
-                case backup_setting::LOCKED_BY_PERMISSION:
-                    $icon = ' '.$OUTPUT->pix_icon('i/permissionlock', get_string('lockedbypermission', 'backup'), 'moodle', array('class'=>'smallicon lockedicon permissionlock'));
-                    break;
-                case backup_setting::LOCKED_BY_CONFIG:
-                    $icon = ' '.$OUTPUT->pix_icon('i/configlock', get_string('lockedbyconfig', 'backup'), 'moodle', array('class'=>'smallicon lockedicon configlock'));
-                    break;
-                case backup_setting::LOCKED_BY_HIERARCHY:
-                    $icon = ' '.$OUTPUT->pix_icon('i/hierarchylock', get_string('lockedbyhierarchy', 'backup'), 'moodle', array('class'=>'smallicon lockedicon configlock'));
-                    break;
-                default:
-                    $icon = '';
-                    break;
-            }
-            $this->_form->addElement('static', 'static_'.$settingui->get_name(), $settingui->get_label(), $settingui->get_static_value().$icon);
-            $this->_form->addElement('html', html_writer::end_tag('div'));
-        }
-        $this->_form->addElement('hidden', $settingui->get_name(), $settingui->get_value());
-    }
-    /**
-     * Adds dependencies to the form recursively
-     * 
-     * @param backup_setting $setting
-     */
-    function add_dependencies(backup_setting $setting) {
-        $mform = $this->_form;
-        // Apply all dependencies for backup
-        foreach ($setting->get_my_dependency_properties() as $key=>$dependency) {
-            call_user_method_array('disabledIf', $this->_form, $dependency);
-        }
-    }
-    /**
-     * Returns true if the form was cancelled, false otherwise
-     * @return bool
-     */
-    public function is_cancelled() {
-        return (optional_param('cancel', false, PARAM_BOOL) || parent::is_cancelled());
-    }
-}
-/**
  * Initial backup user interface stage moodleform.
  *
  * Nothing to override we only need it defined so that moodleform doesn't get confused
Index: moodle/backup/util/ui/backup_ui.class.php
--- moodle/backup/util/ui/backup_ui.class.php Base (1.6)
+++ moodle/backup/util/ui/backup_ui.class.php Locally Modified (Based On 1.6)
@@ -32,7 +32,7 @@
  * @copyright 2010 Sam Hemelryk
  * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
  */
-class backup_ui {
+class backup_ui extends base_ui {
     /**
      * The stages of the backup user interface.
      */
@@ -41,46 +41,8 @@
     const STAGE_CONFIRMATION = 4;
     const STAGE_FINAL = 8;
     const STAGE_COMPLETE = 16;
-    /**
-     * The progress of this instance of the backup ui class
-     */
-    const PROGRESS_INTIAL = 0;
-    const PROGRESS_PROCESSED = 1;
-    const PROGRESS_SAVED = 2;
-    const PROGRESS_EXECUTED = 3;
-    /**
-     * The backup controller
-     * @var backup_controller
-     */
-    protected $controller;
-    /**
-     * The current stage
-     * @var backup_ui_stage
-     */
-    protected $stage;
-    /**
-     * The current progress of the UI
-     * @var int One of self::PROGRESS_*
-     */
-    protected $progress;
-    /**
-     * The number of changes made by dependency enforcement
-     * @var int
-     */
-    protected $dependencychanges = 0;
 
     /**
-     * Yay for constructors
-     * @param backup_controller $controller
-     */
-    public function __construct(backup_controller $controller, array $params=null) {
-        $this->controller = $controller;
-        $this->progress = self::PROGRESS_INTIAL;
-        $this->stage = $this->initialise_stage(null, $params);
-        // Process UI event before to be safe
-        $this->controller->process_ui_event();
-    }
-    /**
      * Intialises what ever stage is requested. If none are requested we check
      * params for 'stage' and default to initial
      *
@@ -110,90 +72,10 @@
         }
         return $stage;
     }
-    /**
-     * This processes the current stage of the backup
-     * @return bool
-     */
-    public function process() {
-        if ($this->progress >= self::PROGRESS_PROCESSED) {
-            throw new backup_ui_exception('backupuialreadyprocessed');
+    public function get_uniqueid() {
+        return $this->get_backupid();
         }
-        $this->progress = self::PROGRESS_PROCESSED;
-
-        if (optional_param('previous', false, PARAM_BOOL) && $this->stage->get_stage() > self::STAGE_INITIAL) {
-            $this->stage = $this->initialise_stage($this->stage->get_prev_stage(), $this->stage->get_params());
-            return false;
-        }
-
-        // Process the stage
-        $processoutcome = $this->stage->process();
-
-        if ($processoutcome !== false) {
-            $this->stage = $this->initialise_stage($this->stage->get_next_stage(), $this->stage->get_params());
-        }
-
-        // Process UI event after to check changes are valid
-        $this->controller->process_ui_event();
-        return $processoutcome;
-    }
     /**
-     * Saves the backup controller.
-     *
-     * Once this has been called nothing else can be changed in the controller.
-     *
-     * @return bool
-     */
-    public function save_controller() {
-        if ($this->progress >= self::PROGRESS_SAVED) {
-            throw new backup_ui_exception('backupuialreadysaved');
-        }
-        $this->progress = self::PROGRESS_SAVED;
-        // First enforce dependencies
-        $this->enforce_dependencies();
-        // Process UI event after to check any changes are valid
-        $this->controller->process_ui_event();
-        // Save the controller
-        $this->controller->save_controller();
-        return true;
-    }
-    /**
-     * Displays the UI for the backup!
-     *
-     * Note: The UI makes use of mforms (ewww!) thus it will automatically print
-     * out the result rather than returning a string of HTML like other parts of Moodle
-     *
-     * @return bool
-     */
-    public function display() {
-        if ($this->progress < self::PROGRESS_SAVED) {
-            throw new backup_ui_exception('backupsavebeforedisplay');
-        }
-        $this->stage->display();
-    }
-    /**
-     * Gets all backup tasks from the controller
-     * @return array Array of backup_task
-     */
-    public function get_backup_tasks() {
-        $plan = $this->controller->get_plan();
-        $tasks = $plan->get_tasks();
-        return $tasks;
-    }
-    /**
-     * Gets the stage we are on
-     * @return backup_ui_stage
-     */
-    public function get_stage() {
-        return $this->stage->get_stage();
-    }
-    /**
-     * Gets the name of the stage we are on
-     * @return string
-     */
-    public function get_stage_name() {
-        return $this->stage->get_name();
-    }
-    /**
      * Gets the backup id from the controller
      * @return string
      */
@@ -218,41 +100,6 @@
         return true;
     }
     /**
-     * Enforces dependencies on all settings. Call before save
-     * @return bool True if dependencies were enforced and changes were made
-     */
-    protected function enforce_dependencies() {
-        // Get the plan
-        $plan = $this->controller->get_plan();
-        // Get the tasks as a var so we can iterate by reference
-        $tasks = $plan->get_tasks();
-        $changes = 0;
-        foreach ($tasks as &$task) {
-            // Store as a var so we can iterate by reference
-            $settings = $task->get_settings();
-            foreach ($settings as &$setting) {
-                // Get all dependencies for iteration by reference
-                $dependencies = $setting->get_dependencies();
-                foreach ($dependencies as &$dependency) {
-                    // Enforce each dependency
-                    if ($dependency->enforce()) {
-                        $changes++;
-                    }
-                }
-            }
-        }
-        // Store the number of settings that changed through enforcement
-        $this->dependencychanges = $changes;
-        return ($changes>0);
-    }
-    /**
-     * Returns true if enforce_dependencies changed any settings
-     * @return bool
-     */
-    public function enforce_changed_dependencies() {
-        return ($this->dependencychanges > 0);
-    }
-    /**
      * Loads the backup controller if we are tracking one
      * @return backup_controller|false
      */
@@ -311,57 +158,17 @@
         }
         return $items;
     }
-    /**
-     * Gets the format for the backup
-     * @return int
-     */
-    public function get_backup_format() {
-        return $this->controller->get_format();
+
+    public function get_name() {
+        return 'backup';
     }
-    /**
-     * Gets the type of the backup
-     * @return int
-     */
-    public function get_backup_type() {
-        return $this->controller->get_type();
+
+    public function get_first_stage_id() {
+        return self::STAGE_INITIAL;
     }
-    /**
-     * Gets the ID used in creating the controller. Relates to course/section/cm
-     * @return int
-     */
-    public function get_controller_id() {
-        return $this->controller->get_id();
     }
-    /**
-     * Gets the requested setting
-     * @param string $name
-     * @return mixed
-     */
-    public function get_setting($name, $default = false) {
-        try {
-            return $this->controller->get_plan()->get_setting($name);
-        } catch (Exception $e) {
-            debugging('Failed to find the setting: '.$name, DEBUG_DEVELOPER);
-            return $default;
-        }
-    }
-    /**
-     * Gets the value for the requested setting
-     *
-     * @param string $name
-     * @return mixed
-     */
-    public function get_setting_value($name, $default = false) {
-        try {
-            return $this->controller->get_plan()->get_setting($name)->get_value();
-        } catch (Exception $e) {
-            debugging('Failed to find the setting: '.$name, DEBUG_DEVELOPER);
-            return $default;
-        }
-    }
-}
 
 /**
  * Backup user interface exception. Modelled off the backup_exception class
  */
-class backup_ui_exception extends backup_exception {}
\ No newline at end of file
+class backup_ui_exception extends base_ui_exception {}
\ No newline at end of file
Index: moodle/backup/util/ui/backup_ui_setting.class.php
--- moodle/backup/util/ui/backup_ui_setting.class.php Base (1.5)
+++ moodle/backup/util/ui/backup_ui_setting.class.php Locally Modified (Based On 1.5)
@@ -199,7 +199,7 @@
      * Get element properties that can be used to make a quickform element
      * @return array
      */
-    abstract public function get_element_properties(backup_task $task=null);
+    abstract public function get_element_properties(base_task $task=null);
     /**
      * Applies config options to a given properties array and then returns it
      * @param array $properties
@@ -217,7 +217,7 @@
      *          $task is used to set the setting label
      * @return string
      */
-    public function get_label(backup_task $task=null) {
+    public function get_label(base_task $task=null) {
         // If a task has been provided and the label is not already set meaniningfully
         // we will attempt to improve it.
         if (!is_null($task) && $this->label == $this->setting->get_name() && strpos($this->setting->get_name(), '_include')!==false) {
@@ -282,7 +282,7 @@
      * @param backup_task|null $task
      * @return array (element, name, label, attributes)
      */
-    public function get_element_properties(backup_task $task=null) {
+    public function get_element_properties(base_task $task=null) {
         // name, label, attributes
         return $this->apply_options(array('element'=>'text','name'=>self::NAME_PREFIX.$this->name, 'label'=>$this->get_label($task), 'attributes'=>$this->attributes));
     }
@@ -322,7 +322,7 @@
      * @param backup_task|null $task
      * @return array (element, name, label, text, attributes);
      */
-    public function get_element_properties(backup_task $task=null) {
+    public function get_element_properties(base_task $task=null) {
         // name, label, text, attributes
         return $this->apply_options(array('element'=>'checkbox','name'=>self::NAME_PREFIX.$this->name, 'label'=>$this->get_label($task), 'text'=>$this->text, 'attributes'=>$this->attributes));
     }
@@ -387,7 +387,7 @@
      * @param backup_task|null $task
      * @return array (element, name, label, text, value, attributes)
      */
-    public function get_element_properties(backup_task $task=null) {
+    public function get_element_properties(base_task $task=null) {
         // name, label, text, value, attributes
         return $this->apply_options(array('element'=>'radio','name'=>self::NAME_PREFIX.$this->name, 'label'=>$this->get_label($task), 'text'=>$this->text, 'value'=>$this->value, 'attributes'=>$this->attributes));
     }
@@ -446,7 +446,7 @@
      * @param backup_task|null $task
      * @return array (element, name, label, options, attributes)
      */
-    public function get_element_properties(backup_task $task = null) {
+    public function get_element_properties(base_task $task = null) {
         // name, label, options, attributes
         return $this->apply_options(array('element'=>'select','name'=>self::NAME_PREFIX.$this->name, 'label'=>$this->get_label($task), 'options'=>$this->values, 'attributes'=>$this->attributes));
     }
@@ -464,4 +464,30 @@
     public function get_static_value() {
         return $this->values[$this->get_value()];
     }
+
+    public function is_changeable() {
+        if (count($this->values) == 1) {
+            return false;
+        } else {
+            return parent::is_changeable();
 }
+    }
+}
+
+class backup_setting_ui_dateselector extends backup_setting_ui_text {
+    public function get_element_properties(base_task $task = null) {
+        if (!array_key_exists('optional', $this->attributes)) {
+            $this->attributes['optional'] = false;
+        }
+        $properties = parent::get_element_properties($task);
+        $properties['element'] = 'date_selector';
+        return $properties;
+    }
+    public function get_static_value() {
+        $value = $this->get_value();
+        if (!empty($value)) {
+            return userdate($value);
+        }
+        return parent::get_static_value();
+    }
+}
\ No newline at end of file
Index: moodle/backup/util/ui/backup_ui_stage.class.php
--- moodle/backup/util/ui/backup_ui_stage.class.php Base (1.6)
+++ moodle/backup/util/ui/backup_ui_stage.class.php Locally Modified (Based On 1.6)
@@ -38,105 +38,19 @@
  * @copyright 2010 Sam Hemelryk
  * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
  */
-abstract class backup_ui_stage {
-    /**
-     * The current stage
-     * @var int
-     */
-    protected $stage = backup_ui::STAGE_INITIAL;
-    /**
-     * The backuck UI object
-     * @var backup_ui
-     */
-    protected $ui;
-    /**
-     * The moodleform for this stage
-     * @var backup_moodleform
-     */
-    protected $stageform = null;
-    /**
-     * Custom form params that will be added as hidden inputs
-     */
-    protected $params = null;
-    /**
-     *
-     * @param backup_ui $ui
-     */
-    public function __construct(backup_ui $ui, array $params=null) {
-        $this->ui = $ui;
-        $this->params = $params;
+abstract class backup_ui_stage extends base_ui_stage {
+
+    public function __construct(backup_ui $ui, array $params = null) {
+       parent::__construct($ui, $params);
     }
     /**
-     * Returns the custom params for this stage
-     * @return array|null
-     */
-    final public function get_params() {
-        return $this->params;
-    }
-    /**
-     * The current stage
-     * @return int
-     */
-    final public function get_stage() {
-        return $this->stage;
-    }
-    /**
-     * The next stage
-     * @return int
-     */
-    final public function get_next_stage() {
-        return floor($this->stage*2);
-    }
-    /**
-     * The previous stage
-     * @return int
-     */
-    final public function get_prev_stage() {
-        return floor($this->stage/2);
-    }
-    /**
-     * The name of this stage
-     * @return string
-     */
-    final public function get_name() {
-        return get_string('currentstage'.$this->stage,'backup');
-    }
-    /**
      * The backup id from the backup controller
      * @return string
      */
     final public function get_backupid() {
-        return $this->ui->get_backupid();
+        return $this->get_uniqueid();
     }
-    /**
-     * Displays the stage.
-     *
-     * By default this involves instantiating the form for the stage and the calling
-     * it to display. Remember this is a moodleform instance so it will print
-     * rather than return.
-     */
-    public function display() {
-        $form = $this->initialise_stage_form();
-        $form->display();
     }
-    /**
-     * Processes the stage.
-     *
-     * This must be overridden by every stage as it will be different for every stage
-     *
-     * @abstract
-     * @param backup_moodleform|null $form
-     */
-    abstract public function process(backup_moodleform $form=null);
-    /**
-     * Creates an instance of the correct moodleform properly populated and all
-     * dependencies instantiated
-     *
-     * @abstract
-     * @return backup_moodleform
-     */
-    abstract protected function initialise_stage_form();
-}
 
 /**
  * Class representing the initial stage of a backup.
@@ -162,7 +76,7 @@
      * @param backup_moodleform $form
      * @return int The number of changes
      */
-    public function process(backup_moodleform $m = null) {
+    public function process(base_moodleform $m = null) {
 
         $form = $this->initialise_stage_form();
 
@@ -172,7 +86,7 @@
 
         $data = $form->get_data();
         if ($data && confirm_sesskey()) {
-            $tasks = $this->ui->get_backup_tasks();
+            $tasks = $this->ui->get_tasks();
             $changes = 0;
             foreach ($tasks as &$task) {
                 // We are only interesting in the backup root task for this stage
@@ -208,7 +122,7 @@
         if ($this->stageform === null) {
             $form = new backup_initial_form($this, $PAGE->url);
             // Store as a variable so we can iterate by reference
-            $tasks = $this->ui->get_backup_tasks();
+            $tasks = $this->ui->get_tasks();
             // Iterate all tasks by reference
             foreach ($tasks as &$task) {
                 // For the initial stage we are only interested in the root settings
@@ -262,7 +176,7 @@
      * @param backup_moodleform|null $form
      * @return int The number of changes the user made
      */
-    public function process(backup_moodleform $form = null) {
+    public function process(base_moodleform $form = null) {
         $form = $this->initialise_stage_form();
         // Check it wasn't cancelled
         if ($form->is_cancelled()) {
@@ -273,7 +187,7 @@
         $data = $form->get_data();
         if ($data && confirm_sesskey()) {
             // Get the tasks into a var so we can iterate by reference
-            $tasks = $this->ui->get_backup_tasks();
+            $tasks = $this->ui->get_tasks();
             $changes = 0;
             // Iterate all tasks by reference
             foreach ($tasks as &$task) {
@@ -309,7 +223,7 @@
         global $PAGE;
         if ($this->stageform === null) {
             $form = new backup_schema_form($this, $PAGE->url);
-            $tasks = $this->ui->get_backup_tasks();
+            $tasks = $this->ui->get_tasks();
             $content = '';
             $courseheading = false;
             foreach ($tasks as $task) {
@@ -370,7 +284,7 @@
      * @param backup_moodleform $form
      * @return int The number of changes the user made
      */
-    public function process(backup_moodleform $form = null) {
+    public function process(base_moodleform $form = null) {
         $form = $this->initialise_stage_form();
         // Check it hasn't been cancelled
         if ($form->is_cancelled()) {
@@ -380,7 +294,7 @@
         $data = $form->get_data();
         if ($data && confirm_sesskey()) {
             // Collect into a variable so we can iterate by reference
-            $tasks = $this->ui->get_backup_tasks();
+            $tasks = $this->ui->get_tasks();
             $changes = 0;
             // Iterate each task by reference
             foreach ($tasks as &$task) {
@@ -416,8 +330,8 @@
             if ($setting = $this->ui->get_setting('filename')) {
                 $form->add_heading('filenamesetting', get_string('filename', 'backup'));
                 if ($setting->get_value() == 'backup.zip') {
-                    $format = $this->ui->get_backup_format();
-                    $type = $this->ui->get_backup_type();
+                    $format = $this->ui->get_format();
+                    $type = $this->ui->get_type();
                     $id = $this->ui->get_controller_id();
                     $users = $this->ui->get_setting_value('users');
                     $anonymised = $this->ui->get_setting_value('anonymize');
@@ -426,7 +340,7 @@
                 $form->add_setting($setting);
             }
 
-            foreach ($this->ui->get_backup_tasks() as $task) {
+            foreach ($this->ui->get_tasks() as $task) {
                 if ($task instanceof backup_root_task) {
                     // If its a backup root add a root settings heading to group nicely
                     $form->add_heading('rootsettings', get_string('rootsettings', 'backup'));
@@ -481,7 +395,7 @@
      *
      * In this case it ALWAYS passes processing to the previous stage (confirmation)
      */
-    public function process(backup_moodleform $form=null) {
+    public function process(base_moodleform $form=null) {
         return true;
     }
     /**
